## org.eclipse.ocl.types.operations
Class BagTypeOperations

    java.lang.Object
      org.eclipse.ocl.types.operations.CollectionTypeOperations
          org.eclipse.ocl.types.operations.BagTypeOperations

    public class BagTypeOperations

extends CollectionTypeOperations

A static utility class that provides operations related to 'Bag Type' model objects.

The following operations are supported:

- `Check Collection Type Name`

Constructor Summary
`protected` `BagTypeOperations()`

Method Summary

`static

`<C,O> boolean`

`

`checkCollectionTypeName(BagType<C,O> bagType, DiagnosticChain diagnostics, Map<Object,Object> context)`
self.name = 'Bag(' + self.elementType.name + ')'

Methods inherited from class org.eclipse.ocl.types.operations.CollectionTypeOperations
`checkCollectionTypeName, checkNoInvalidValues, oclIterators`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BagTypeOperations

    protected BagTypeOperations()

Method Detail

### checkCollectionTypeName

    public static <C,O> boolean checkCollectionTypeName(BagType<C,O> bagType,
                                                        DiagnosticChain diagnostics,
                                                        Map<Object,Object> context)

  self.name = 'Bag(' + self.elementType.name + ')'

  Parameters:
    `bagType` - The receiving 'Bag Type' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.